Save integration
curl --request POST \
--url https://console.neuronsearchlab.com/api/integrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "<string>",
"input": {},
"id": 123,
"api_key": "<string>",
"video_source_keys": [
"<string>"
],
"sync_enabled": true
}
'import requests
url = "https://console.neuronsearchlab.com/api/integrations"
payload = {
"action": "<string>",
"input": {},
"id": 123,
"api_key": "<string>",
"video_source_keys": ["<string>"],
"sync_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: '<string>',
input: {},
id: 123,
api_key: '<string>',
video_source_keys: ['<string>'],
sync_enabled: true
})
};
fetch('https://console.neuronsearchlab.com/api/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>"
}Administration
Save integration
POST
/
api
/
integrations
Save integration
Authorizations
Platform API key issued from Console > Platform API Keys. Format: nsl__.
Body
application/json
Action such as connect_provider, disconnect_provider, configure_twelve_labs, sync_twelve_labs, disable_twelve_labs, delete, or a default status upsert.
Available options:
shopify, woocommerce, bigcommerce, csv, s3 Provider-specific connection fields.
Available options:
shopify, woocommerce, bigcommerce, csv, s3, twelve_labs Available options:
connected, disconnected Twelve Labs API key when configuring Twelve Labs.
Response
Saved
The response is of type object.
Was this page helpful?
⌘I

